# ARBColorBufferFloat (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBColorBufferFloat

    java.lang.Object
      org.lwjgl.opengl.ARBColorBufferFloat

    public final class ARBColorBufferFloat

extends java.lang.Object

Field Summary
`static int` `GL_CLAMP_FRAGMENT_COLOR_ARB` Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static int` `GL_CLAMP_READ_COLOR_ARB` Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static int` `GL_CLAMP_VERTEX_COLOR_ARB` Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static int` `GL_FIXED_ONLY_ARB` Accepted by the <clamp> parameter of ClampColorARB.
`static int` `GL_RGBA_FLOAT_MODE_ARB` Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GLX_RGBA_FLOAT_BIT` Accepted as a bit set in the GLX_RENDER_TYPE variable
`static int` `GLX_RGBA_FLOAT_TYPE` Accepted as values of the <render_type> arguments in the glXCreateNewContext and glXCreateContext functions
`static int` `WGL_TYPE_RGBA_FLOAT_ARB` Accepted as a value in the <piAttribIList> and <pfAttribFList> parameter arrays of wglChoosePixelFormatARB, and returned in the <piValues> parameter array of wglGetPixelFormatAttribivARB, and the <pfValues> parameter array of wglGetPixelFormatAttribfvARB:

Method Summary
`static void` `glClampColorARB(int target, int clamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RGBA_FLOAT_MODE_ARB

    public static final int GL_RGBA_FLOAT_MODE_ARB

  Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_CLAMP_VERTEX_COLOR_ARB

    public static final int GL_CLAMP_VERTEX_COLOR_ARB

  Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

  See Also:
    Constant Field Values

### GL_CLAMP_FRAGMENT_COLOR_ARB

    public static final int GL_CLAMP_FRAGMENT_COLOR_ARB

  Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

  See Also:
    Constant Field Values

### GL_CLAMP_READ_COLOR_ARB

    public static final int GL_CLAMP_READ_COLOR_ARB

  Accepted by the <target> parameter of ClampColorARB and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

  See Also:
    Constant Field Values

### GL_FIXED_ONLY_ARB

    public static final int GL_FIXED_ONLY_ARB

  Accepted by the <clamp> parameter of ClampColorARB.

  See Also:
    Constant Field Values

### WGL_TYPE_RGBA_FLOAT_ARB

    public static final int WGL_TYPE_RGBA_FLOAT_ARB

  Accepted as a value in the <piAttribIList> and <pfAttribFList> parameter arrays of wglChoosePixelFormatARB, and returned in the <piValues> parameter array of wglGetPixelFormatAttribivARB, and the <pfValues> parameter array of wglGetPixelFormatAttribfvARB:

  See Also:
    Constant Field Values

### GLX_RGBA_FLOAT_TYPE

    public static final int GLX_RGBA_FLOAT_TYPE

  Accepted as values of the <render_type> arguments in the glXCreateNewContext and glXCreateContext functions

  See Also:
    Constant Field Values

### GLX_RGBA_FLOAT_BIT

    public static final int GLX_RGBA_FLOAT_BIT

  Accepted as a bit set in the GLX_RENDER_TYPE variable

  See Also:
    Constant Field Values

Method Detail

### glClampColorARB

    public static void glClampColorARB(int target,
                                       int clamp)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.